com.independentsoft.exchange

## Enum SendMeetingOption

- java.lang.Object
- - java.lang.Enum<SendMeetingOption>
  - - com.independentsoft.exchange.SendMeetingOption

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SendMeetingOption>

      public enum SendMeetingOption
      extends java.lang.Enum<SendMeetingOption>

  The Enum SendMeetingOption.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SEND_TO_ALL` Send meeting invitations to all attendees; do not save a copy of the meeting invitation in the organizer's Sent Items folder.
    `SEND_TO_ALL_AND_SAVE_COPY` Send meeting invitations to all attendees and save a copy of the meeting invitation in the organizer's Sent Items folder.
    `SEND_TO_CHANGED` Send meeting invitations only to attendees that have been added or modified; do not save a copy of the meeting invitation in the organizer's Sent Items folder.
    `SEND_TO_CHANGED_AND_SAVE_COPY` Send meeting invitations only to attendees that have been added or modified and save a copy of the meeting invitation in the organizer's Sent Items folder.
    `SEND_TO_NONE` Do not send meeting invitations.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SendMeetingOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SendMeetingOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SEND_TO_NONE

          public static final SendMeetingOption SEND_TO_NONE

      Do not send meeting invitations.

    - #### SEND_TO_ALL

          public static final SendMeetingOption SEND_TO_ALL

      Send meeting invitations to all attendees; do not save a copy of the meeting invitation in the organizer's Sent Items folder.

    - #### SEND_TO_CHANGED

          public static final SendMeetingOption SEND_TO_CHANGED

      Send meeting invitations only to attendees that have been added or modified; do not save a copy of the meeting invitation in the organizer's Sent Items folder.

    - #### SEND_TO_ALL_AND_SAVE_COPY

          public static final SendMeetingOption SEND_TO_ALL_AND_SAVE_COPY

      Send meeting invitations to all attendees and save a copy of the meeting invitation in the organizer's Sent Items folder.

    - #### SEND_TO_CHANGED_AND_SAVE_COPY

          public static final SendMeetingOption SEND_TO_CHANGED_AND_SAVE_COPY

      Send meeting invitations only to attendees that have been added or modified and save a copy of the meeting invitation in the organizer's Sent Items folder.

  - ### Method Detail

    - #### values

          public static SendMeetingOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SendMeetingOption c : SendMeetingOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SendMeetingOption valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null